﻿using System;
using System.IO;
using Wisej.Web;

namespace Wisej.AzureSSO
{
	internal static class Program
	{
		static Program()
		{
			var s = JSON.Parse(File.ReadAllText(Application.MapPath("Secrets.json")));

			Application.Services.AddService<AzureService>((t) => new AzureService(s.clientId, s.tenantId, s.clientSecret), Services.ServiceLifetime.Session);
		}

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		static void Main()
		{
			Application.MainPage = new Page1();
		}

		//
		// You can use the entry method below
		// to receive the parameters from the URL in the args collection.
		//
		//static void Main(NameValueCollection args)
		//{
		//}
	}
}